#!/usr/bin/bash
#SBATCH -N 32
#SBATCH -n 1024
#SBATCH -t 00:15:00
#SBATCH -p pbatch
#SBATCH --job-name="vpicio"

export I_MPI_EXTRA_FILESYSTEM=on
export I_MPI_EXTRA_FILESYSTEM_LIST=lustre
export OMP_NUM_THREADS=1
#export ROMIO_PRINT_HINTS=1

cd /p/lscratchh/wang116/applications/piok/vpicio
rm -f *.h5
lfs setstripe -c 8 -S 4M ./

LD_PRELOAD=/g/g90/wang116/sources/Recorder/install/lib/librecorder.so \
    srun ../bin/vpicio_uni VPIC-IO-OUTPUT
mv ./recorder-logs ./recorder-logs-uni
